About IME Pad

Microsoft IME Pad (IME Pad) is a common framework for the IME Pad applets: various tools for inputing Chinese characters and/or symbols that cannot be easily inputted using Pinyin. The following is the interface of IME Pad with the Dictionary Applet.

There are two applets provided by simplified Chinese IME Pad: Handwriting Applet and Dictionary Applet. More applets are available if other IMEs are installed. The different version of applets can be used with the same IME Pad.


IME Pad menu

Click the icon [image] on the IME Pad's title bar to activate IME Pad menu.

Menu Item | Description
Applet's Menu | activate IME Pad applets' menu
IME Pad's Property | open the property dialog box of IME Pad
Help | open the help file of IME Pad
Version | show the version info of current IME Pad
Close | close the menu


IME Pad Property

IME Pad properties

The IME Pad's interface can be customized by changing the settings in the property dialog box. You can specify whether Applet bar, Basic Buttons and Extended Buttons are displayed, and their location. It's also possible to specify the languge used in IME Pad's menus and dialogs.

  1. Click IME Pad's icon [image] on IME Pad's title bar to open IME Pad Menu.
  2. On IME Pad menu, click "IME Pad's Property".


IME Pad applets

The applets are various tools for inputing Chinese characters and/or symbols, within IME Pad.

Select an applet

Cilck the applet's icon on the applet bar of IME Pad, or click the applet's name on the Applet's Menu.

Applet's menu

  1. Click IME Pad's icon [image] on IME Pad's title bar to activate IME Pad Menu.
  2. On IME Pad menu, click "Applet's Menu".

IME Pad applet's setting

Using the dialog box of IME Pad Applet's Settig, you can change the sequence of each applet, and add or remove applets from IME Pad. When removing applets, at least one applet must remain.

  1. Click IME Pad's icon [image] on IME Pad's title bar to invoke IME Pad Menu.
  2. On IME Pad menu, click "Applet's Menu".
  3. Click "Setting" on Applet's Menu.


The handwriting applet

The handwriting applet is used for searching and inputing characters by drawing strokes.

Using the handwriting applet

Cilck the handwriting applet icon [image] on the Applet Bar of IME Pad, or click "Handwriting(CH)" on the applet's menu.

The applet has two boxes in handwriting search mode: input box on the left, and candidate list box on the right. Make sure that Automatic Recognition is checked, then draw the strokes in the input box. The recognized results are displayed in the candidate list box. Select the desired character or word from the list.

Buttons of handwriting applet

Click this button to recognize the strokes in input box immediately. Double-click to set or clear automatic recognition.
Click to cancel the last stroke in the input box.
Click to clear all strokes in the input box.

Property of handwriting applet

The property dialog box of handwriting applet can be opened in two ways:

  • Right click the handwiting applet icon [image] on the Applet Bar of IME Pad, then select "Handwriting(CH) Property" on the popup menu.
  • While Handwriting Applet is being used, open the Applet's Menu then select "Handwriting(CH) Property".

Within this dialog box, the user can set the following options:

  1. Automatic recognition status when doing handwriting search.
  2. Interval between recognition and next stroke when doing handwriting input.


The dictionary applet

Using the Dictionary Applet, you can input or search for Chinese characters by stroke count and radical information, just the same way as searching a dictionary. Two character sets are supported in Dictionary Applet: Radical and Symbol.

Using the Dictionary Applet

Click "Dictionary(CH)" on the Applet's Menu.

Tips of Pinyin and Coding

Move the mouse pointer to a certain character, a tip pops up showing its pinyin (if it has one) and coding.


Radical search

  1. Activate the Dictionary Applet, and click the "Radical" tab.

  2. There are two dropdown boxes on the pane: Radical and Remaining, which represent radical stroke count and the remaining stroke count excluding the radical. Enter the items by selecting the corresponding value from the dropdown list. All characters and symbols matching the search conditions are displayed in the candidate list box. If the radical stroke count is found, select the radical from the radical list to narrow the query.
  3. Click the character in the candidate list box to send it to the editor, or move the mouse pointer over the character to obtain its coding and pinyin.


Symbol search

  1. Activate the Dictionary Applet, and click the "Symbol" tab.

  2. Select the subset of the symbol from the dropdown box. All symbols of the same subset are displayed in the candidate list box. Thirteen subsets are suppoerted: Punctuation, Math Symbols, Math Number, Hiragana, Katagana, Greek, Cyrillic, Bopomofo, Pinyin Letters, Table Symbols, Unit Symbols, Chinese Numbers and Special Symbols.
  3. Click the symbol in the candidate list box to send it to the editor, or move the mouse pointer onto it to obtain its coding.